//+------------------------------------------------------------------+
//|                                                      EMAOsMA.mq4 |
//|                                                         Mohammed |
//|                                         http://www.forex-tsd.com |
//+------------------------------------------------------------------+

#property copyright "Mohammed"
#property link      "http://www.forex-tsd.com"

#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1 Red

extern int EmaPeriod = 12;

//---- buffers
double ExtMapBuffer1[];
double ExtMapBuffer2[];


//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators

   IndicatorDigits(MarketInfo(Symbol(),MODE_DIGITS)+2);
   IndicatorBuffers(2);
   
   SetIndexStyle(0,DRAW_LINE);
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexStyle(1,DRAW_LINE);
   SetIndexBuffer(1,ExtMapBuffer2);
  
//----

   ObjectCreate("H0", OBJ_HLINE, 1, CurTime(), 0);
   ObjectSet("H0", OBJPROP_COLOR , Blue);
   ObjectSet("H0",OBJPROP_STYLE,STYLE_SOLID);
   ObjectsRedraw();
   
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
   return(0);
  }
  
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
  
   int i, limit;
   int counted_bars=IndicatorCounted();
   if(counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;
  
   
   for(i=0; i<limit; i++)
      ExtMapBuffer2[i] = iOsMA(NULL,0,12,26,9,PRICE_CLOSE,i);
   for(i=0; i<limit; i++)
      ExtMapBuffer1[i]=iMAOnArray(ExtMapBuffer2,Bars,EmaPeriod,0,MODE_EMA,i);
    
//----
   return(0);
  }
//+------------------------------------------------------------------+